Subject: Re: linux-next: Fixes tag needs some work in the bpf tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 27 Jun 2019 11:45:36 +1000

Hi all,

On Wed, 26 Jun 2019 16:36:50 -0700 Alexei Starovoitov <[email-masked]> wrote:
>
> On Wed, Jun 26, 2019 at 3:14 PM Roman Gushchin <[email-masked]> wrote:
> >
> > On Thu, Jun 27, 2019 at 08:05:21AM +1000, Stephen Rothwell wrote:  
> > >
> > > In commit
> > >
> > >   12771345a467 ("bpf: fix cgroup bpf release synchronization")
> > >
> > > Fixes tag
> > >
> > >   Fixes: 4bfc0bb2c60e ("bpf: decouple the lifetime of cgroup_bpf from
> > >
> > > has these problem(s):
> > >
> > >   - Subject has leading but no trailing parentheses
> > >   - Subject has leading but no trailing quotes
> > >
> > > Please don't split Fixes tags across more than one line.  
> >
> > Oops, sorry.
> >
> > Alexei, can you fix this in place?
> > Or should I send an updated version?  
> 
> I cannot easily do it since -p and --signoff are incompatible flags.
> I need to use -p to preserve merge commits,
> but I also need to use --signoff to add my sob to all
> other commits that were committed by Daniel
> after your commit.
> 
> Daniel, can you fix Roman's patch instead?
> you can do:
> git rebase -i -p  12771345a467^
> fix Roman's, add you sob only to that one
> and re-push the whole thing.

It's probably not worth fixing, just use this as a learning
experience ...

-- 
Cheers,
Stephen Rothwell